> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vendor Daily Report

> Endpoint to get a vendor's daily behavioral summary report between given dates.



## OpenAPI

````yaml /openapi.json get /public/v1/reporting-service/vendors/{vendor-id}/daily
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/reporting-service/vendors/{vendor-id}/daily:
    get:
      tags:
        - Reporting API
      summary: Get Vendor Daily Report
      description: >-
        Endpoint to get a vendor's daily behavioral summary report between given
        dates.
      operationId: get_vendor_daily_report
      parameters:
        - name: vendor-id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            description: The ID of the vendor.
          description: The ID of the vendor.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: The pagination limit.
            default: 100
          description: The pagination limit.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The start date for which reports will be generated.
          description: The start date for which reports will be generated.
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The end date for which reports will be generated.
          description: The end date for which reports will be generated.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_DailyReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_DailyReportResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        reports:
          items:
            $ref: '#/components/schemas/Advanced_APIs_DailyReportData'
          type: array
          title: Reports
          description: A list with report data aggregated by day.
      type: object
      required:
        - hasMore
        - reports
      title: DailyReportResponse
      description: Response for daily aggregation reports.
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_DailyReportData:
      properties:
        impressions:
          $ref: '#/components/schemas/Advanced_APIs_Events'
          description: How many impressions are attributed to this report item.
        clicks:
          $ref: '#/components/schemas/Advanced_APIs_Events'
          description: How many clicks are attributed to this report item.
        purchases:
          $ref: '#/components/schemas/Advanced_APIs_Purchases'
          description: How many purchases are attributed to this report item.
        date:
          type: string
          format: date
          title: Date
          description: The date for this aggregation.
      type: object
      required:
        - impressions
        - clicks
        - purchases
        - date
      title: DailyReportData
      description: >-
        Clicks, impressions and purchases attributed to this report item so far,
        for a particular date.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_Events:
      properties:
        total:
          type: integer
          format: int64
          title: Total
          description: Total number of events.
        charged:
          type: integer
          format: int64
          title: Charged
          description: Number of charged events.
        adSpent:
          type: integer
          format: int64
          title: Adspent
          description: >-
            Ad spent over a period of time, in minor units of currency according
            to ISO 4217.
        adSpentDecimal:
          title: Adspentdecimal
          description: Ad spent over a period of time.
          oneOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
      type: object
      required:
        - total
        - charged
        - adSpent
      title: Events
      description: Aggregation of events.
    Advanced_APIs_Purchases:
      properties:
        amount:
          type: integer
          format: int64
          title: Amount
          description: >-
            Amount of money made by purchases over a period of time, in minor
            units of currency according to ISO 4217.
        count:
          type: integer
          format: int64
          title: Count
          description: Amount of purchase events.
        quantity:
          type: integer
          format: int64
          title: Quantity
          description: Amount of items purchased.
        countByProduct:
          title: Countbyproduct
          description: >-
            Purchase count by product. Available if `count_by_product` is set to
            `true`.
          oneOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
      type: object
      required:
        - amount
        - count
        - quantity
      title: Purchases
      description: Aggregation of purchase events.
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````